#include <HX711.h>
#include <Adafruit_MotorShield.h>
//-------------

Adafruit_MotorShield AFMS = Adafruit_MotorShiled(0x60);

// Connect a stepper motor with 200 steps per revolution
// which is 1.8 degrees
// use motor port #2, M3 and M4

Adafruit_StepperMotor *M2 = AFMS.getStepper(20, 2);
// HX711.DOUT uses pin #A1
// HX711.PD_SCK uses pin #A0
HX711 scale(A1, A0); 	// using default parameter gain

Void setup() {
   AFMS.begin();	// use default frequency
   M2->setSpeed(10); 	// 10 rpm
   Serial.begin(9600);
   scale.set_scale(79. 1156); 	// this value is obtained by calibrating the scale with known weights
   scale.tare();		// reset the scale to 
   Serial.println(“Enter ‘U’, ‘D’, ‘u’, ‘d’, ‘t’, or ‘m’.”);
}

char rx_byte = 0;
unsigned int intergerValue = 0;